/*********************************************************************************

    ███╗   ███╗ █████╗ ██╗███╗   ██╗    ███╗   ███╗███████╗███╗   ██╗██╗   ██╗
    ████╗ ████║██╔══██╗██║████╗  ██║    ████╗ ████║██╔════╝████╗  ██║██║   ██║
    ██╔████╔██║███████║██║██╔██╗ ██║    ██╔████╔██║█████╗  ██╔██╗ ██║██║   ██║
    ██║╚██╔╝██║██╔══██║██║██║╚██╗██║    ██║╚██╔╝██║██╔══╝  ██║╚██╗██║██║   ██║
    ██║ ╚═╝ ██║██║  ██║██║██║ ╚████║    ██║ ╚═╝ ██║███████╗██║ ╚████║╚██████╔╝
    ╚═╝     ╚═╝╚═╝  ╚═╝╚═╝╚═╝  ╚═══╝    ╚═╝     ╚═╝╚══════╝╚═╝  ╚═══╝ ╚═════╝ 
                                                                          
 *********************************************************************************/



    /* Main navigation */

    .main-navigation {
        font-size: 17px;
        text-transform: uppercase;
        font-family: var(--nvm-font-sans-serif-barlow);
    }

        html:not(.tablet) .main-navigation {
            font-size: 15px;
            text-transform: uppercase;
            font-family: var(--nvm-font-sans-serif-barlow);
        }

        .main-navigation li {
            display: flex;
            align-items: center;
            flex-direction: row-reverse;
        }

        .main-navigation li.current-menu-parent > a {
            background: transparent;
            color: var(--ks-primary-black);
        }

        .main-navigation .menu-item:not(:last-child) {
            margin: 0 7px;
        }

            .main-navigation .menu-item a {
                font-weight: 700;
                padding: 0 .3em;
                display: inline-block;
                white-space: nowrap;
                line-height: 1.15em;
                color: var(--ks-primary-black);
                line-height: 1em;
                padding-top: 1.5px;
                padding-bottom: 2px;
            }

            @-moz-document url-prefix() {
                .main-navigation .menu-item a {
                    line-height: 1em;
                    padding-top: 1px;
                    padding-bottom: 2px;
                }
            }

            .home header:not(.responsiville-stickymenu-active) .main-navigation .menu-item a,
            .single-project header:not(.responsiville-stickymenu-active) .main-navigation .menu-item:not(.current-menu-item) a {
                color: var(--ks-primary-white);
            }
    
            .main-navigation a:hover,
            .main-navigation .current-menu-item > a,
            .main-navigation .current-menu-ancestor > a {
                background: var(--ks-primary-black);
                color: var(--ks-primary-white);
                opacity: 1;
            }

            .single-project header:not(.responsiville-stickymenu-active) .main-navigation li.menu-item-has-children.current-menu-item a {
                background: transparent !important;
            }

            .single-project header:not(.responsiville-stickymenu-active) .main-navigation li.menu-item-has-children.current-menu-item a:hover {
                background: var(--ks-primary-white) !important;
            }
        

        /* Main navigation submenu */
 
        .main-navigation li.current-menu-parent > a:hover {
            background: var(--ks-primary-black);
            color: var(--ks-primary-white);
        }

        .main-navigation .sub-menu {
            margin-right: 7px;
            margin-top: 1px;
        }



        .main-navigation .sub-menu .menu-item:not(:last-child) {
            margin: 0 7px;
        }

        .main-navigation .sub-menu .menu-item a {
            font-weight: 400;
            line-height: 1em;
            font-size: 16px;
            padding-top: 1px;
            padding-bottom: 2px;
        }

        @-moz-document url-prefix() {
            .main-navigation .sub-menu .menu-item a {
                line-height: 1em;
                padding-top: .6px;
                padding-bottom: 2.5px;
            }
        }

            html:not(.tablet) .main-navigation .sub-menu .menu-item a {
                font-weight: 400;
                line-height: 1.15em;
                font-size: 14px;
                line-height: 1em;
                padding-top: 1.5px;
                padding-bottom: 2.5px;
            }
  
        .main-navigation .sub-menu .menu-item:not(:last-child) {
            margin: 0 7px;
        }

        .main-navigation .sub-menu .menu-item:not(:first-child) {
            margin: 0;
        }

        .main-navigation .sub-menu .menu-item:not(:last-child) {
            margin: 0 7px 0 0;
        }
        
        .main-navigation .sub-menu .menu-item:first-child {
            margin-left: 7px;
        }


               /* Hide non-current submenus */
        .sub-menu {
            width: 0;
            overflow: hidden;
            white-space: nowrap;
            transition: width 0.5s ease-in-out;
        }

        /* Smooth animation for expanding */
        .sub-menu.animate,
        .current_page_ancestor > .sub-menu,
        .current_page_parent > .sub-menu {
            transition: width 0.5s ease-in-out;
            transition-delay: 1s;
        }

        /* Collapse effect */
        .menu-closing > .sub-menu {
            width: 0 !important;
            transition: width 0.5s ease-in-out;
        }


        .current-menu-ancestor .sub-menu,
        .current_page_parent .sub-menu,
        .current_page_ancestor .sub-menu {
            width: auto;
        }



        @media (max-width: 362px) {
            .main-navigation .sub-menu {
                margin-right: 4px;
                margin-top: 1px;
            }

            .main-navigation .sub-menu .menu-item:not(:last-child) {
                margin: 0 2px 0 0;
            }
        }

        .single-project .current-menu-ancestor .sub-menu {
            display: none;
        }
    /*********************************************************************************
    
    STICKYMENU

    *********************************************************************************/
    .home header:not(.responsiville-stickymenu-active) .main-navigation a:hover,
    .home header:not(.responsiville-stickymenu-active) .main-navigation .current-menu-item > a,
    .home header:not(.responsiville-stickymenu-active) .main-navigation .current-menu-ancestor > a,
    .single-project header:not(.responsiville-stickymenu-active) .main-navigation a:hover,
    .single-project header:not(.responsiville-stickymenu-active) .main-navigation .current-menu-item.current-menu-parent > a,
    .single-project header:not(.responsiville-stickymenu-active) .main-navigation .current-menu-item .current-menu-item > a,
    .single-project header:not(.responsiville-stickymenu-active) .main-navigation .current-menu-ancestor > a {
        background: var(--ks-primary-white) !important;
        color: var(--ks-primary-black) !important;
        opacity: 1;
    }